socks(8)

NAME
socks - SOCKS 4/4.5/5 gateway service

SYNOPSIS
socks [-d] [-l[[@]logfile]] [-pport] [-iinternal_ip] [-eexternal_ip]

DESCRIPTION
socks is SOCKS server. It supports SOCKSv4, SOCKSv4.5 (extension to v4 for server side name resolution) and SOCKSv5. SOCKSv5 specification allows both outgoing and reverse TCP connections and UDP portmapping.

OPTIONS

-I  Inetd mode. Standalone service only.

-d  Daemonise. Detach service from console and run in the background.

-t  Be silenT. Do not log start/stop/accept error records.

-u  Never ask for username authentication

-e  External address. IP address of interface proxy should initiate connections from. External IP must be specified if you need incoming connections. By default system will deside which address to use in accordance with routing table.

-N  External NAT address 3proxy reports to client for BIND and UDPASSOC By default external address is reported. It's only useful in the case of IP-IP NAT (will not work for PAT)

-i  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.

-p  Port. Port proxy listens for incoming connections. Default is 1080.

-l  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

-S  Increase or decrease stack size. You may want to try something like -S8192 if you experience 3proxy crashes.

CLIENTS
You should use client with SOCKS support or use some socksification support (for example SocksCAP or FreeCAP). Configure client to use internal_ip and port. SOCKS allows to use almost any application protocol without limitation. This implementation also allows to open priviledged port on server (if socks has sufficient privileges). If you need to control access use 3proxy(8) instead.

BUGS
Report all bugs to 3proxy@3proxy.ru

SEE ALSO
3proxy(8), proxy(8), ftppr(8), pop3p(8), tcppm(8), udppm(8), syslogd(8),
https://3proxy.org/

AUTHORS
3proxy is designed by Vladimir 3APA3A Dubrovin (3proxy@3proxy.ru)